# Uses of Interface
org.eclipse.net4j.util.om.trace.OMTracer

Packages that use OMTracer
Package
Description
org.eclipse.net4j.util.om
Interfaces and classes for platform-independent operations and maintenance (O&M).
org.eclipse.net4j.util.om.trace
Interfaces and classes for platform-independent tracing.

## Uses of OMTracer in org.eclipse.net4j.util.om

Methods in org.eclipse.net4j.util.om that return OMTracer
Modifier and Type
Method
Description
`OMTracer`
OMBundle.`tracer(String name)`

## Uses of OMTracer in org.eclipse.net4j.util.om.trace

Classes in org.eclipse.net4j.util.om.trace that implement OMTracer
Modifier and Type
Class
Description
`class`
`Tracer`
The default implementation of a `tracer`.
Fields in org.eclipse.net4j.util.om.trace declared as OMTracer
Modifier and Type
Field
Description
`protected OMTracer`
TraceHandlerEvent.`tracer`
Methods in org.eclipse.net4j.util.om.trace that return OMTracer
Modifier and Type
Method
Description
`OMTracer`
ContextTracer.`getDelegate()`
`OMTracer`
ContextTracer.`getParent()`
`OMTracer`
OMTracer.`getParent()`
`OMTracer`
Tracer.`getParent()`
`OMTracer`
OMTraceHandlerEvent.`getTracer()`
`OMTracer`
TraceHandlerEvent.`getTracer()`
`OMTracer`
OMTracer.`tracer(String name)`
`OMTracer`
Tracer.`tracer(String name)`
Constructors in org.eclipse.net4j.util.om.trace with parameters of type OMTracer
Modifier
Constructor
Description
``
`ContextTracer(OMTracer delegate, Class<?> context)`
``
`PerfTracer(OMTracer delegate, Class<?> context)`
``
`TraceHandlerEvent(OMTracer tracer, Class<?> context, String message, Throwable throwable)`